Rewind the position of a gz-file pointer

- « gzread

- gzseek »

- PHP Manual
- Zlib Functions
- Rewind the position of a gz-file pointer

# gzrewind

(PHP 4, PHP 5, PHP 7, PHP 8)

gzrewind — Rewind the position of a gz-file pointer

### Description

gzrewind(resource `$stream`): bool

Sets the file position indicator of the given gz-file pointer to the beginning of the file stream.

### Parameters

`stream`

  The gz-file pointer. It must be valid, and must point to a file successfully opened by gzopen().

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- gzseek() - Seek on a gz-file pointer
- gztell() - Tell gz-file pointer read/write position